Singstar Dance - requires 3.5

Discussion in 'PS3 - Games & Content' started by steam, Nov 16, 2010.

Nov 16, 2010

Singstar Dance - requires 3.5 by steam at 6:58 PM (641 Views / 0 Likes) 0 replies

  1. steam

    Newcomer steam Advanced Member

    Aug 2, 2007
    United States
    I have an original Singstar Dance ps3 game disk...

    once i put it into my ps3, it wants to update, firmware 3.5 is in the disk and i guess game requires it.

    Once i get my p3go in 2 days i will try the payload spoof and see if that can bypass this game checking for firmware...or if it really requires 3.5 firmware to run.

    will report back

    edit:...does not work, spoofed 3.5 not enough

Share This Page